<?php

namespace GriffinForms\Admin\App\Html;

class Modals extends \GriffinForms\Admin\App\Html\Format
{
    protected $delete_form;
    protected $accounts;
    protected $conditional_logic;
    protected $form_notifications;
    protected $form_options;
    protected $form_themes;
    protected $integrations;
    protected $preview;

    public function setModals()
    {
        $this->delete_form = new \GriffinForms\Admin\App\Html\Modals\DialogueBoxes\DeleteForm();
        $this->accounts = \GriffinForms\Admin\App\Html\Modals\Accounts::getInstance();
        $this->conditional_logic = \GriffinForms\Admin\App\Html\Modals\ConditionalLogic::getInstance();
        $this->form_notifications = \GriffinForms\Admin\App\Html\Modals\FormNotifications::getInstance();
        $this->form_options = \GriffinForms\Admin\App\Html\Modals\FormOptions::getInstance();
        $this->form_themes = \GriffinForms\Admin\App\Html\Modals\FormThemes::getInstance();
        $this->integrations = \GriffinForms\Admin\App\Html\Modals\Integrations::getInstance();
        $this->preview = \GriffinForms\Admin\App\Html\Modals\Preview::getInstance();
    }

    public function getHtml()
    {
        $this->delete_form->getHtml();
        $this->accounts->getHtml();
        $this->conditional_logic->getHtml();
        $this->form_notifications->getHtml();
        $this->form_options->getHtml();
        $this->form_themes->getHtml();
        $this->integrations->getHtml();
        $this->preview->getHtml();
    }

    public function getJs()
    {
        $this->delete_form->getJs();
        $this->accounts->getJs();
        $this->conditional_logic->getJs();
        $this->form_notifications->getJs();
        $this->form_options->getJs();
        $this->form_themes->getJs();
        $this->integrations->getJs();
        $this->preview->getJs();
    }
}
